.btn,
.nav-link {
    --bs-btn-padding-x: var(--space-x);
    --bs-btn-padding-y: var(--space-y);
    --bs-btn-font-family: var(--bs-font-sans-serif);
    --bs-btn-font-size: var(--bs-body-font-size);
    height: var(--btn-size);
    display: inline-flex;
    align-items: center;
    justify-content: center;
    gap: 5px;
    color: var(--bs-body-bg);
    transition: all var(--default-animation-time) ease-in-out;
    white-space: nowrap;
    font-weight: 400;
    border-radius: var(--bs-border-radius);
}

.btn.rounded-full,
.nav-link.rounded-full {
    border-radius: 100px;
}

.btn.btn-min-width {
    min-width: 110px;
}

.btn:active,
.nav-link:active,
.btn.show,
.btn:focus,
.nav-link:focus,
.btn.btn:focus {
    text-decoration: none;
}

.btn i {
    font-size: var(--icon-sm);
    line-height: 1;
}

.nav-link {
    height: calc(var(--btn-size) - 11px);
}

.btn.btn-lg {
    height: var(--btn-lg-size);
}

.btn.btn-sm {
    height: var(--btn-sm-size);
}

.btn.btn-xs {
    height: var(--btn-xs-size);
    font-size: var(--font-size-xs);
    padding-left: 12px;
    padding-right: 12px;
    font-weight: 500;
}

.btn:hover,
.nav-link:hover {
    transform: scale3d(.97, .97, 1);
    color: var(--bs-primary);
    text-decoration: none;
}

.nav-link.active {
    color: var(--primary-color) !important;
    font-weight: 600;
}

.dropdown-toggle:focus {
    border-color: transparent !important;
}

.btn.btn-dark{
    color: var(--bs-white) !important;
    background: var(--bs-secondary-dark) !important;
    border-color: var(--bs-secondary-dark) !important;
}

.btn.btn-primary {
    color: var(--bs-white) !important;
    background: var(--primary-color) !important;
    border-color: var(--primary-color) !important;
    padding: 13px 38px;
}

.btn.btn-primary:hover {
    filter: brightness(110%);
}

.btn.btn-primary-dark {
    font-weight: 500;
    color: var(--bs-white) !important;
    background: var(--bs-primary-dark) !important;
    border-color: var(--bs-primary-dark) !important;
}

.btn.btn-primary-dark:hover {
    filter: brightness(110%);
}

.btn-outline-primary {
    color: var(--primary-color);
    border-color: var(--primary-color);
    background-color: var(--bs-white);
}

.btn-outline-primary:hover,
.btn-outline-primary:focus,
.btn-outline-primary:active {
    color: var(--primary-color) !important;
    border-color: 1px solid var(--primary-color) !important;
    background-color: rgba(var(--bs-primary-rgb), 0.05) !important;
}

.btn.btn-secondary {
    color: var(--text-primary);
    background: var(--light-bg);
    border-color: var(--light-bg);
    padding: 13px 44px;
    /* height: auto; */
}

.btn.btn-secondary:hover {
    filter: brightness(105%);
}

.btn-outline-secondary {
    font-weight: 500;
    color: var(--dark-color);
    background: var(--bs-white);
    border-color: var(--bs-secondary-dark);
}

.btn-outline-secondary:hover,
.btn-outline-secondary:focus {
    font-weight: 500;
    color: var(--text-dark-color);
    background: rgba(var(--bs-secondary-rgb), 0.1);
    border-color: var(--bs-secondary-dark);
}

.btn.btn-cancel {
    border-color: var(--bs-danger);
    color: var(--bs-danger);
}

.btn.btn-cancel:hover {
    border-color: var(--bs-danger);
    background-color: rgba(var(--bs-danger-rgb), 0.05);
    color: var(--bs-danger);
}

.btn.btn-link {
    color: var(--primary-color);
    text-decoration: none;
}

.btn.btn-link:hover,
.btn.btn-link:focus,
.btn.btn-link:active {
    background-color: rgba(var(--bs-primary-rgb), 0.05);
}

.btn.btn-light {
    color: var(--bs-dark);
    font-weight: 500;
    background-color: var(--light-bg);
}

.btn.btn-light:hover {
    background-color: var(--bs-dark);
    color: var(--bs-white);
}

.btn.btn-outline-light {
    color: var(--bs-white);
}

.btn.btn-icon {
    padding-left: 0;
    padding-right: 0;
    width: var(--btn-size);
    flex-shrink: 0;
    justify-content: center;
    border-radius: 50%;

}

.btn.btn-icon-box {
    background-color: rgba(0, 0, 0, 0.03);
    border-radius: var(--bs-border-radius);
}

.btn.btn-delete:hover {
    background-color: rgba(var(--bs-danger-rgb), 0.1);
    color: var(--bs-danger);
}

.btn.btn-outline-light:hover,
.btn.btn-outline-light:focus,
.btn.btn-outline-light:active {
    color: var(--bs-black) !important;
    background-color: var(--bs-white) !important;
}

.btn.btn-outline-light:hover img,
.btn.btn-outline-light:focus img,
.btn.btn-outline-light:active img {
    filter: brightness(0);
}

.btn.btn-icon:not(.btn-outline-light) {
    border: 0 !important;
}

.btn.btn-icon.btn-favorite {
    background-color: var(--gray-bg);
    color: var(--bs-white);
}

.btn.btn-icon.btn-favorite.favorited {
    background-color: var(--bs-danger);
    color: var(--bs-white);
}

.btn.btn-icon i {
    font-size: var(--default-icon-size);
}

.btn.btn-icon.btn-sm {
    width: var(--btn-sm-size);
    height: var(--btn-sm-size);
}

.btn.btn-icon.btn-xs {
    width: var(--btn-xs-size);
    height: var(--btn-xs-size);
}

.btn.btn-icon.btn-lg {
    width: var(--btn-lg-size);
    height: var(--btn-lg-size);
}

.btn.btn-icon.btn-sm .bi {
    font-size: var(--icon-sm);
}

.btn.btn-icon.avtar {
    width: auto;
}

.btn.btn-icon.avtar:hover {
    background-color: transparent;
}

.btn.btn-icon.avtar>img {
    width: var(--img-avatar-size);
    height: var(--img-avatar-size);
    object-fit: cover;
    border-radius: 50%;
}

.dropdown-toggle::after {
    display: none !important;
    border: 0;
    border-bottom-style: solid;
    border-bottom-width: 2px;
    border-right-style: solid;
    border-right-width: 2px;
    content: "";
    display: inline-block;
    height: 10px;
    left: 0;
    top: 0;
    width: 10px;
    transform: rotate(45deg);
    margin-left: 0.555em;
}

.btn.btn-invite {
    min-width: 365px;
    min-height: 65px;
    padding-right: 10px;
    justify-content: flex-start;
    text-align: left;
    position: relative;
    overflow: hidden;
}

.btn.btn-invite::before,
.btn.btn-invite::after {
    content: "";
    position: absolute;
    width: 41px;
    aspect-ratio: 1/1;
    border: 6px solid var(--bs-white);
    border-radius: 50%;
    top: -23px;
    right: 142px;
    pointer-events: none;
    opacity: 0.3;
}

.btn.btn-invite::after {
    top: auto;
    bottom: -18px;
    right: 62px;
    width: 31px;
    border-color: #FFB800;
}

.btn.btn-invite img {
    width: 66px;
    flex-shrink: 0;
}

.btn.btn-invite span {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    font-size: var(--font-size-xs);
    flex-grow: 1;
}

.btn.btn-invite span strong {
    font-size: var(--font-size-md);
    font-weight: 500;
}

.notification {
    border: 1px solid #CAC4D0;
    border-radius: 12px !important;
}

/* .notification:after {
    content: "";
    position: absolute;
    top: 5px;
    right: 10px;
    width: var(--notification-size);
    height: var(--notification-size);
    background-color: var(--notification-color);
    border-radius: 50%;
} */

.pagination {
    --bs-pagination-padding-x: 0.4rem;
    --bs-pagination-padding-y: 0.2rem;
    --bs-pagination-font-size: var(--font-size-xs);
    --bs-pagination-color: var(--text-gray-color);
    --bs-pagination-bg: var(--bs-body-bg);
    --bs-pagination-border-width: var(--bs-border-width);
    --bs-pagination-border-color: var(--bs-border-color);
    --bs-pagination-border-radius: var(--bs-border-radius-sm);
    --bs-pagination-hover-color: var(--text-dark-color);
    --bs-pagination-hover-bg: var(--light-gray);
    --bs-pagination-hover-border-color: var(--bs-border-color);
    --bs-pagination-focus-color: var(--text-dark-color);
    --bs-pagination-focus-bg: var(--bs-secondary-bg);
    --bs-pagination-focus-box-shadow: 0 0 0 0.2rem rgba(var(--bs-dark-rgb), .05);
    --bs-pagination-active-color: var(--bs-white);
    --bs-pagination-active-bg: var(--light-gray);
    --bs-pagination-active-border-color: var(--light-gray);
    --bs-pagination-disabled-color: var(--bs-secondary-color);
    --bs-pagination-disabled-bg: var(--bs-secondary-bg);
    --bs-pagination-disabled-border-color: var(--bs-border-color);
    gap: var(--space-y);
}

.pagination a {
    border-radius: var(--bs-pagination-border-radius);
    min-width: 28px;
    height: 28px;
    text-align: center;
    display: flex;
    align-items: center;
    justify-content: center;
}

.pagination a i {
    font-size: var(--bs-pagination-font-size);
}

.pagination a:hover,
.pagination a:focus {
    text-decoration: none;
}

@media only screen and (max-width: 768px) {
    .btn.btn-invite {
        min-width: 0;
        white-space: wrap;
        height: auto;
    }

    .btn.btn-primary,
    .btn.btn-secondary {
        padding: 10px 28px;
    }

    .btn {
        height: var(--btn-sm-size);
    }

    .btn.btn-icon.avtar>img{
        width: calc(var(--img-avatar-size)/1.5);
        height: calc(var(--img-avatar-size)/1.5);
    }

    .btn.btn-icon{
        width: calc(var(--btn-size)/1.5);
    }
}